package cn.ysk.cashier.cons.repository;

import cn.ysk.cashier.cons.domain.TbConsInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

/**
* @website https://eladmin.vip
* @author admin
* @date 2024-06-22
**/
public interface TbConsInfoRepository extends JpaRepository<TbConsInfo, Integer>, JpaSpecificationExecutor<TbConsInfo> {


    int countByConCode(String conCode);

    List<TbConsInfo> findByConTypeId(Integer typeId);

    TbConsInfo findByConCode(String conCode);
}